﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{2D854A88-7817-4CD2-888C-0AE2293E449D}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Mlc.Gui.NTier</RootNamespace>
    <AssemblyName>Mlc.Gui.NTier</AssemblyName>
    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup>
    <SignAssembly>false</SignAssembly>
  </PropertyGroup>
  <PropertyGroup>
    <AssemblyOriginatorKeyFile>MlcKey2015.snk</AssemblyOriginatorKeyFile>
  </PropertyGroup>
  <PropertyGroup>
    <LangVersion>latest</LangVersion>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="DevExpress.Data.v19.2, Version=19.2.3.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL" />
    <Reference Include="DevExpress.Images.v19.2, Version=19.2.3.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" />
    <Reference Include="DevExpress.Office.v19.2.Core, Version=19.2.3.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" />
    <Reference Include="DevExpress.Pdf.v19.2.Core, Version=19.2.3.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" />
    <Reference Include="DevExpress.Printing.v19.2.Core, Version=19.2.3.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL" />
    <Reference Include="DevExpress.RichEdit.v19.2.Core, Version=19.2.3.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" />
    <Reference Include="DevExpress.Utils.v19.2, Version=19.2.3.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL" />
    <Reference Include="DevExpress.XtraBars.v19.2, Version=19.2.3.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL" />
    <Reference Include="DevExpress.XtraEditors.v19.2, Version=19.2.3.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL" />
    <Reference Include="DevExpress.XtraLayout.v19.2, Version=19.2.3.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL" />
    <Reference Include="DevExpress.XtraPrinting.v19.2, Version=19.2.3.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL" />
    <Reference Include="DevExpress.XtraGrid.v19.2, Version=19.2.3.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL" />
    <Reference Include="DevExpress.XtraRichEdit.v19.2, Version=19.2.3.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL" />
    <Reference Include="DevExpress.XtraTreeList.v19.2, Version=19.2.3.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL" />
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.ValueTuple, Version=4.0.3.0, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
      <HintPath>..\..\LiveSuite\packages\System.ValueTuple.4.5.0\lib\net461\System.ValueTuple.dll</HintPath>
    </Reference>
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Command\CommandProgressHandler.cs" />
    <Compile Include="Command\Extensions\CommandEnumExtensions.cs" />
    <Compile Include="Command\Extensions\CmdPropertiesAttribute.cs" />
    <Compile Include="Command\EventHandlerExecuteCommand.cs" />
    <Compile Include="Dialog\Dialog.cs" />
    <Compile Include="Dialog\DialogMessage.cs" />
    <Compile Include="Command\ICommandsHdlr.cs" />
    <Compile Include="Command\TxtTimeLine.cs" />
    <Compile Include="Dialog\FormDialog.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Dialog\FormDialog.designer.cs">
      <DependentUpon>FormDialog.cs</DependentUpon>
    </Compile>
    <Compile Include="Forms\BaseDockableForm.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Forms\BaseDockableForm.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>BaseDockableForm.resx</DependentUpon>
    </Compile>
    <Compile Include="Forms\BaseDockableForm2.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="IO\LogCommandFormatter.cs" />
    <Compile Include="IO\LogHandlerCommandFile.cs" />
    <Compile Include="IStatusNotifier.cs" />
    <Compile Include="Command\CommandLinksList.cs" />
    <Compile Include="Command\CommandLinks.cs" />
    <Compile Include="Command\Command.cs" />
    <Compile Include="Command\CommandData.cs" />
    <Compile Include="Command\CommandsHdlr.cs" />
    <Compile Include="Command\Commands.cs" />
    <Compile Include="Command\ExecuteCommandDelegate.cs" />
    <Compile Include="Command\ICommandHdlrFrm.cs" />
    <Compile Include="GuiEventHandler\EventHelper.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Command\Sql\SqlPageDataMgr.cs" />
    <Compile Include="Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <None Include="doc\Command.Diagram.cd" />
    <None Include="doc\CmdHdlr - Diagram.vsdx" />
    <None Include="MlcKey2015.snk" />
    <None Include="packages.config" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Dialog\FormDialog.resx">
      <DependentUpon>FormDialog.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Forms\BaseDockableForm.resx">
      <DependentUpon>BaseDockableForm.cs</DependentUpon>
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>BaseDockableForm.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Properties\licenses.licx" />
    <EmbeddedResource Include="Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Include="Resources\Alert.png" />
    <EmbeddedResource Include="Resources\DateLabel16.png" />
    <EmbeddedResource Include="Resources\DateLabel32.png" />
    <EmbeddedResource Include="Resources\UserLabel16.png" />
    <EmbeddedResource Include="Resources\UserLabel32.png" />
    <EmbeddedResource Include="Resources\VersionLabel16.png" />
    <EmbeddedResource Include="Resources\VersionLabel32.png" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\Mlc.Data\Mlc.Data.csproj">
      <Project>{366d82ae-1cc9-4efe-a300-5de1b5f85845}</Project>
      <Name>Mlc.Data</Name>
    </ProjectReference>
    <ProjectReference Include="..\Mlc.Gui.DevExpress\Mlc.Gui.DevExpress.csproj">
      <Project>{74d03e9a-72d7-4b11-aee5-0f31d809b2db}</Project>
      <Name>Mlc.Gui.DevExpress</Name>
    </ProjectReference>
    <ProjectReference Include="..\Mlc.Shell\Mlc.Shell.csproj">
      <Project>{307019c0-5af8-414b-b94f-d3162d77948b}</Project>
      <Name>Mlc.Shell</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>